import * as LocalData from './LocalData';

let current = -1;
let saved = false;

function save() {
    if (saved) {
        return;
    }
    setTimeout(function () {
        LocalData.setItem("last_event_id", current);
        saved = true;
    }, 100)
}

export function next() {
    if (current === -1) {
        const val = LocalData.getItem("last_event_id");
        if (val !== null && val !== "") {
            current = val;
        }
        else {
            current = 0;
        }
    }

    current++;
    saved = false;
    save();
    return current;
}

