const path = require('path');
const CleanWebpackPlugin = require('clean-webpack-plugin');
const Uglify = require("uglifyjs-webpack-plugin");

module.exports = {
    entry: {
        'cidata-min': './index.js'
    },
    plugins: [
        new CleanWebpackPlugin(['dist']),
        new Uglify(),
    ],
    output: {
        filename: '[name]-[chunkhash:8].js',
        path: path.resolve(__dirname, 'dist'),
    },
    module: {
        rules: [
            {test: /\.js$/, loader: "babel-loader"}
        ]
    },
};
